#
# spec file for package nodejs-npm-registry-client
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define base_name npm-registry-client

Name:           nodejs-npm-registry-client
Version:        6.4.0
Release:        15.1
Summary:        Node.js registry module
License:        ISC
Group:          Development/Languages/Other
Url:            https://github.com/isaacs/npm-registry-client
Source:         http://registry.npmjs.org/%{base_name}/-/%{base_name}-%{version}.tgz
BuildRequires:  nodejs-packaging
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%nodejs_find_provides_and_requires

%description
The code that npm uses to talk to the registry. 

%prep
%setup -q -n package
find lib -name "*~" -delete

%build

%install
mkdir -p %{buildroot}%{nodejs_modulesdir}/%{base_name}
cp -pr package.json index.js lib \
        %{buildroot}%{nodejs_modulesdir}/%{base_name}/

%files
%defattr(-,root,root,-)
%doc README.md LICENSE
%{nodejs_modulesdir}/%{base_name}

%changelog
* Sat Jun 27 2015 i@marguerite.su
- update version 6.4.0
* Fri Apr 24 2015 hvogel@suse.com
- Update to version 6.3.3
- drop npm-registry-client-deps.diff, not needed anymore
* Sat Apr  4 2015 dmueller@suse.com
- enable building for all arches
* Fri Oct 10 2014 jgleissner@suse.com
- Add npm-registry-client-deps.diff: be less strict about version
  number of dependency 'retry'.
* Thu Oct  9 2014 jgleissner@suse.com
- use nodejs-packaging for building
* Mon Sep 22 2014 i@marguerite.su
- update version 3.2.2
* Tue Aug 19 2014 jgleissner@suse.com
- downgrade to version that ships with npm 1.4.21
* Mon Aug 18 2014 jgleissner@suse.com
- Initial build
